#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

if { $argc != 1 } {
   puts "usage: $argv0 socket-XID"
   exit
}

load ../src/gnocl.so

set mainBox [gnocl::box -label "Plug widget" -orientation vertical]
$mainBox add [gnocl::label -text "pid: [pid]"]

set win [gnocl::plug [lindex $argv 0] -child $mainBox]
gnocl::mainLoop

